package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.EartagHourActService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-12
 */
@RestController
@RequestMapping("/eartag-hour-act")
public class EartagHourActController {
    @Autowired
    private EartagHourActService eartagHourActService;

    @RequestMapping(value = "/getAct",method = RequestMethod.POST)
    public Result list(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        String farmCode = "";
        if (paramsMap.get("farmId") != null) {
            farmCode = paramsMap.get("farmId")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        String earmark = "";
        if (paramsMap.get("earmark") != null) {
            earmark = paramsMap.get("earmark")+"";
        }
        return eartagHourActService.getHourAct(farmCode,startDate,endDate,earmark);
    }

}

