package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.FarmerAdoptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
@RestController
@RequestMapping("/farmer-adopt")
public class FarmerAdoptController {
    @Autowired
    private FarmerAdoptService farmerAdoptService;

    @PostMapping("/add")
    public Result add(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return farmerAdoptService.add(paramsMap);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return farmerAdoptService.edit(paramsMap);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return farmerAdoptService.remove(paramsMap);
    }

    @PostMapping("/listByFarmCode")
    public Result listByFarmCode(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return farmerAdoptService.listByFarmCode(paramsMap);
    }

    @PostMapping("/getLastAdoptByFarmCode")
    public Result getLastAdoptByFarmCode(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        return farmerAdoptService.getLastAdoptByFarmCode(paramsMap);
    }
}

