package com.huimv.eartag2.api.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.eartag2.api.pojo.EartagData2;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.eartag2.api.pojo.pojovo.AllHelthyDto;
import com.huimv.eartag2.api.pojo.pojovo.EartagDataDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-07-29
 */
public interface EartagData2Mapper extends BaseMapper<EartagData2> {
    //
    List<EartagData2> getEartagDataByEarmark(@Param("earmark") String earmark, @Param("recordCount") String recordCount);

    List<EartagDataDto> getAct(@Param(Constants.WRAPPER) QueryWrapper<EartagData2> wrapper);

    List<AllHelthyDto> allHealthy(@Param(Constants.WRAPPER) QueryWrapper<EartagData2> wrapper);

}
