package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.BasePigpen;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-07-22
 */
public interface BasePigpenService extends IService<BasePigpen> {

    Result addBuilding(String farmCode, String buildingName, String buildingCode, String stageCode, Integer sort, Integer type);

    Result addUnit(String farmCode, String buildingCode, String unitName, String unitCode, String stageCode, Integer sort, Integer type);

    Result editBuilding(String id, String buildingName, String stageCode, Integer sort, Integer type);

    Result remove(String ids);

    Result editUnit(String id, String parentId, String unitName, String stageCode, Integer sort, Integer type);

    Result list(String farmCode, String pigpenName, String stageCode);
}
