package com.huimv.eartag2.api.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.BizBaseStage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-07-23
 */
public interface BizBaseStageService extends IService<BizBaseStage> {

    Result addBizBaseStage(Map<String, String> param);

    Result removeBizBaseStage(List<String> ids);

    Result updateBizBaseStage(Map<String, String> param);

    Result listBizBaseStage(Map<String, String> param);

    Result getDataById(String id);
}
