package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.FarmerAdopt;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
public interface FarmerAdoptService extends IService<FarmerAdopt> {

    Result add(Map<String, Object> paramsMap) throws ParseException;

    Result edit(Map<String, Object> paramsMap) throws ParseException;

    Result remove(Map<String, Object> paramsMap);

    Result listByFarmCode(Map<String, Object> paramsMap) throws ParseException;

    Result getLastAdoptByFarmCode(Map<String, Object> paramsMap);
}
