package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.EartagData2;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2022-07-29
 */
public interface IEartagData2Service extends IService<EartagData2> {

    List<EartagData2> getEartagData(String earmark) throws ParseException;

    Result getEnvByTime(Map<String, String> map);

    Result getEnvByTime2(Map<String, String> map);

    Result getEartagDataByEarmark(Map<String, String> map);

    Result getTemp(Map<String, String> map);

    Result getAct(Map<String, String> map);

    Result countEartag(Map<String, String> map);

    Result getEnvByTimePanan(Map<String, String> map);

    Result getEnvLast(Map<String, String> map);
}
