package com.huimv.eartag2.api.utils;

import cn.hutool.core.util.ObjectUtil;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class ResultUtil {

    public Result result(int rows){
        if(rows == 0){
            return new Result(ResultCode.FAIL,"处理失败.");
        }else{
            return new Result(ResultCode.SUCCESS,"处理成功.");
        }
    }
    public static Result isNull(List list){
        if(ObjectUtil.isEmpty(list)){
            return new Result(ResultCode.SUCCESS,new ArrayList<>());
        }else{
            return new Result(ResultCode.SUCCESS,list);
        }
    }

}
