package com.huimv.eartag2.common.common.utils;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 结果分页
 * @Author: 静静
 * @CreateTime: 2022-07-19  16:34
 * @Version: 1.0
 */
@Data
public class PageOf<T> implements Serializable {
    private int pageNum;
    private int pageSize;
    private long totalCount;
    private long totalPage;
    private List<T> list;
}
