package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.BaseFarmEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface BaseFarmRepo extends JpaRepository<BaseFarmEntity, Integer>, JpaSpecificationExecutor<BaseFarmEntity> {

    @Query(nativeQuery=true, value="SELECT * FROM base_farm WHERE farm_code=?1")
    BaseFarmEntity getFarmByFarmId(String farmId);
}