package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagData2Entity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface EartagData2EntityRepo extends JpaRepository<EartagData2Entity, Integer>, JpaSpecificationExecutor<EartagData2Entity> {

    @Query(nativeQuery = true,value = "SELECT * FROM eartag_data2 WHERE earmark=?1 AND farm_id=?2 ORDER BY add_time DESC LIMIT 1")
    Optional<EartagData2Entity> getLastByEarmark(String earmark, String farmId);
}