package com.huimv.eartag2.common.dao.repo;


import com.huimv.eartag2.common.dao.entity.EartagDataEntity2;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @Description: TODO
 * @Author: 静静
 * @CreateTime: 2022-07-26  09:00
 * @Version: 1.0
 */
public interface EartagDataRepo2 extends JpaRepository<EartagDataEntity2, Integer>, JpaSpecificationExecutor<EartagDataEntity2> {

    //
    @Query(nativeQuery = true,value = "SELECT * FROM eartag_data2 WHERE earmark=?1 AND add_time BETWEEN add_time(now(),interval - 5 minute)")
    EartagDataEntity2 getEartagFlowByEarmark(String earmark);

    @Query(nativeQuery = true,value = "SELECT * FROM eartag_data2 WHERE ear_temp=1")
    List<EartagDataEntity2> findAllByGoldPig();
}
