package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagHourActEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.sql.Date;
import java.util.Optional;

public interface EartagHourActEntityRepo extends JpaRepository<EartagHourActEntity, Integer>, JpaSpecificationExecutor<EartagHourActEntity> {

    @Query(nativeQuery = true,value = "SELECT * FROM eartag_hour_act WHERE farm_code=?1 AND  earmark=?2 AND hour=?3 AND add_date=?4")
    Optional<EartagHourActEntity> findByFarmIdAndEarmarkAndHourAndDate(String farmId, String earmark, int nowHour, Date todayDate);
}