package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagOnlineStatusEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Optional;

public interface EartagOnlineStatusEntityRepo extends JpaRepository<EartagOnlineStatusEntity, Integer>, JpaSpecificationExecutor<EartagOnlineStatusEntity> {

    @Query(nativeQuery = true,value = "SELECT * FROM eartag_online_status WHERE farm_id=?1 AND  unit_id=?2 ORDER BY add_time DESC limit 1")
    Optional<EartagOnlineStatusEntity> findLastOne(String farmId,Integer unitId);
}