package com.huimv.eartag2.manage.utils;

import java.io.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Test7 {
    //
    public static void main(String[] args) throws FileNotFoundException {
        Test7 test = new Test7();
//        test.readFile();

//        test.outFile();
        test.writePcm();
    }

    private void writePcm() {
        FileOutputStream fos = null;
        DataOutputStream dos = null;
        Test7 test7 = new Test7();

        /* 读取数据 */
        try {
            //创建输出流（写入文件）
            fos = new FileOutputStream("D:/1/16ka3.pcm");
            dos = new DataOutputStream(fos);

            BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(new File("D:/1/test7.txt")),
                    "UTF-8"));
            String lineTxt = null;
            int sum = 0;
            while ((lineTxt = br.readLine()) != null) {
                sum+=1;
                Integer data = test7.hexToDec2(lineTxt);
                System.out.println("lineTxt="+lineTxt+" ,data="+data);
                dos.write(data);
//                if(sum>=5){
//                    break;
//                }
            }
            br.close();
            System.out.println("次数="+sum);

        } catch (Exception e) {
            System.err.println("read errors :" + e);
        } finally{
            try {
                if (fos!=null) {
                    fos.close();
                }
                if (dos!=null) {
                    dos.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    private void readFile() {
        int a = 0;
        int sum = 0;
        try {
            String file = "D:\\1\\16k.pcm";
//            String file = "D:\\1\\16k_003.pcm";
//            InputStreamReader isr = new InputStreamReader(new FileInputStream("D:\\0testData\\Data_21"));
//            InputStreamReader isr = new InputStreamReader(new FileInputStream("D:\\1\\16k.pcm"));
            DataInputStream isr = new DataInputStream(new FileInputStream(file));

            //每行显示16个数据
            int bytesPerLine = 16;

            int byteCount = 0;
            int data;
            System.out.println("开始>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>");


            //逐行读
            while ((data = isr.read()) != -1) {
                System.out.println("循环读取次数=" + ++a);
//                System.out.print(">>"+data+"",data & 0xFF);
//                System.out.printf("%02X", data & 0xFF);
//                if (byteCount == 0) {
//                    System.out.println(); //换行
//                }
//                else if (byteCount % bytesPerLine == 0){
//                    System.out.printf("\n", byteCount); //换行
//                }
//                else {
//                    System.out.print(" "); //空格
//                }
                //以两位十六进制形式打印显示
//                System.out.printf("%02X", data & 0xFF);
                System.out.println("data=" + data);
//                System.out.println("转换1=" + convert2Hex1(data));
                String text = convert2Hex2(data);
                System.out.println("转换2=" + text);

                //写入txt文件当中
                outTxt2(text);

                Integer data2 = hexToDec2(text);
                System.out.println("再转回=" + data2);
//                System.out.println();
//                sum+=data;
//                String text = bytesToHexStr(data,true);
//                System.out.println("text="+text);
//                System.out.println();
//                byteCount += 1;

//                if (a >= 5) {
//                    break;
//                }
                System.out.println();
            }
            System.out.println();
//            System.out.println("a="+a);
//            System.out.println("sum="+sum);

        } catch (Exception e) {
            System.out.println("Exception: " + e);
        } finally {
//            System.out.println();
            System.out.println("a=" + a);
            System.out.println();
        }
    }

    //输出文件
    public void outTxt(String text){
        /* 输出数据 */
        try {
            BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(new File("D:/1/test7.txt")),
                    "UTF-8"));
                bw.write(text);
                bw.newLine();
            bw.close();
        } catch (Exception e) {
            System.err.println("write errors :" + e);
        }
    }

    //追加方式写入
    public void outTxt2(String conent) {
        BufferedWriter out = null;
        try {
            out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream("D:/1/test7.txt", true)));
            out.write(conent + "\r\n");
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                out.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    //
    public String convert2Hex1(Integer i) {
        String text = Integer.toHexString(i);
//        System.out.println(i + " 系统方法：" + text);
        return text;
    }

    public int hexToDec2(String hex){
//        int dec = Integer.parseInt(hex,16);
        int dec = Integer.valueOf(hex,16).shortValue();
        return dec;
    }

    //将16进制转为10进制
    public int hexToDec(String hex){
        int dec = 0;
        //十六进制开头是0x
        int upper = hex.length()-3;
        for(int i =2;i<hex.length();i++){
            if(hex.charAt(i)=='A'){
                dec += 10*Math.pow(16,upper);
            }
            else if(hex.charAt(i)=='B'){
                dec += 11*Math.pow(16,upper);
            }
            else if(hex.charAt(i)=='C'){
                dec += 12*Math.pow(16,upper);
            }
            else if(hex.charAt(i)=='D'){
                dec += 13*Math.pow(16,upper);
            }
            else if(hex.charAt(i)=='E'){
                dec += 14*Math.pow(16,upper);
            }
            else if(hex.charAt(i)=='F'){
                dec += 15*Math.pow(16,upper);
            }
            else{
                int b = (int)hex.charAt(i);
                int n = b -(int)'0';
                dec += n*Math.pow(16,upper);
            }
            upper--;
        }
        return dec;
    }


    /**
     * 将一个整形化为十六进制，并以字符串的形式返回
     */
//    private final static String[] hexArray = {"0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f"};
    private final static String[] hexArray = {"0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "A", "B", "C", "D", "E", "F"};

    //
    public String convert2Hex2(Integer n) {
        if (n < 0) {
            n = n + 256;
        }
        int d1 = n / 16;
        int d2 = n % 16;
        String text = hexArray[d1] + hexArray[d2];
        return text;
    }

    public String bytesToHexStr(byte[] bytes, boolean isCaptial) {
        if (null == bytes || bytes.length <= 0) {
            return null;
        }
        StringBuilder s = new StringBuilder();
        for (int i = 0; i < bytes.length; i++) {
            if (isCaptial) {
                //02表示使用2位16进制字符表示当前的byte数据，X或者x表示16进制字符串
                s.append(String.format("%02X", bytes[i]));
            } else {
                s.append(String.format("%02x", bytes[i]));
            }
        }
        return s.toString();
    }

    private void outFile() {
        /* 输出数据 */
        try {
            BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(new File("D:/1/out1.txt")),
                    "UTF-8"));
            bw.write("B2");
            bw.newLine();
            bw.close();
        } catch (Exception e) {
            System.err.println("write errors :" + e);
        } finally {
            System.out.println("输出完成.");
        }
    }
}
