package com.huimv.dataprocess.data;

import com.alibaba.fastjson.JSON;
import com.huimv.dataprocess.dao.entity.EartagDataEntity;
import com.huimv.dataprocess.dao.repo.EartagDataEntityRepository;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.text.ParseException;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class DataProcessTest {
    @Autowired
    private EartagDataEntityRepository eartagDataEntityRepository;

    @Test
    public void exportData() throws IOException {
        System.out.println("开始导出数据...");
        List<EartagDataEntity> EartagDataEntityList = eartagDataEntityRepository.findAll();
        System.out.println("EartagDataEntityList.size="+EartagDataEntityList.size());
        for(EartagDataEntity eartagDataEntity:EartagDataEntityList){
            System.out.println(""+eartagDataEntity.toString());
            writeTxt(JSON.toJSONString(eartagDataEntity));
        }
        System.out.println("完成导出数据.");
    }

    @Test
    public void importData(){
        System.out.println("importData()");
    }

    public void writeTxt(String conent) throws IOException {
        File f = new File("D:/6/goldpig.txt");
        if (f.exists()) {
        } else {
            f.createNewFile();// 不存在则创建
        }
        BufferedWriter output = new BufferedWriter(new FileWriter(f, true));//true,则追加写入text文本
        output.write(conent);
        output.write("\r\n");//换行
        output.flush();
        output.close();
    }
}
