package com.huimv.dataprocess2;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@EntityScan(value = "com.huimv.eartag2.common.dao.entity")
@EnableJpaRepositories(basePackages = "com.huimv.eartag2.common.dao.repo")
@ComponentScans({@ComponentScan("com.huimv.eartag2.common.service")})
public class DataProcess2Application {
    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext =   SpringApplication.run(DataProcess2Application.class, args);
    }
}
