package com.huimv.eartag2.admin;

import com.huimv.eartag2.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Import;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Import(InterceptorConfig.class)
@SpringBootApplication
@MapperScan("com.huimv.eartag2.admin.mapper")
public class HuimvEartag2AdminApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvEartag2AdminApplication.class, args);
    }
}
