package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.EartagAbnormalCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-20
 */
@RestController
@RequestMapping("/eartag-abnormal-count")
public class EartagAbnormalCountController {
    @Autowired
    private EartagAbnormalCountService eartagAbnormalCountService;

    @PostMapping("/listAbnormalCount")
    public Result listAbnormalCount(@RequestBody Map<String,String> map){
        return eartagAbnormalCountService.listAbnormalCount(map);
    }

    @PostMapping("/listAbnoramAll")
    public Result listAbnoramAll(@RequestBody Map<String,String> map){
        return eartagAbnormalCountService.listAbnoramAll(map);
    }
    @PostMapping("/listAbnoramDev")
    public Result listAbnoramDev(@RequestBody Map<String,String> map){
        return eartagAbnormalCountService.listAbnoramDev(map);
    }

}

