package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.impl.EartagResetServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-12
 */
@RestController
@RequestMapping("/eartag-reset")
public class EartagResetController {
    @Autowired
    private EartagResetServiceImpl eartagResetServiceImpl;

    @RequestMapping(value = "/getEartagResetDetails",method = RequestMethod.POST)
    public Result getEartagResetDetails(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        String farmCode = "";
        if (paramsMap.get("farmId") != null) {
            farmCode = paramsMap.get("farmId")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        String earmark = "";
        if (paramsMap.get("earmark") != null) {
            earmark = paramsMap.get("earmark")+"";
        }
        int pageNo = 1;
        if (paramsMap.get("pageNo") != null) {
            pageNo = Integer.parseInt(paramsMap.get("pageNo")+"");
        }
        int pageSize = 0;
        if (paramsMap.get("pageSize") != null) {
            pageSize = Integer.parseInt(paramsMap.get("pageSize")+"");
        }
        return eartagResetServiceImpl.getEartagResetDetails(farmCode,startDate,endDate,earmark,pageNo,pageSize);
    }
}

