package com.huimv.eartag2.api.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.service.EartagResetCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-08-12
 */
@RestController
@RequestMapping("/eartagResetCount")
public class EartagResetCountController {
    @Autowired
    private EartagResetCountService eartagResetCountService;

    @RequestMapping(value = "/getEartagResetCount",method = RequestMethod.POST)
    public Result getResetCount(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        String farmCode = "";
        if (paramsMap.get("farmId") != null) {
            farmCode = paramsMap.get("farmId")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        String earmark = "";
        if (paramsMap.get("earmark") != null) {
            earmark = paramsMap.get("earmark")+"";
        }
        return eartagResetCountService.getEartagResetCount(farmCode,startDate,endDate,earmark);
    }

    @PostMapping(value = "/listEartagResetCount")
    public Result listEartagResetCount(@RequestBody Map<String, String> paramsMap) throws ParseException {

        return eartagResetCountService.listEartagResetCount(paramsMap);
    }
}

