package com.huimv.eartag2.api.mapper;

import com.huimv.eartag2.api.pojo.EartagDeviceRegister;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-07-20
 */
public interface EartagDeviceRegisterMapper extends BaseMapper<EartagDeviceRegister> {

    String getDeviceIdByFarmerId(@Param("farmerId") String farmerId);

    List<String> getDeviceIdListByFarmerId(@Param("farmerId") Integer farmerId);
}
