package com.huimv.eartag2.api.mapper;

import com.huimv.eartag2.api.pojo.SysBaseConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-07-19
 */

@Component
public interface SysBaseConfigMapper extends BaseMapper<SysBaseConfig> {

    List<SysBaseConfig> selectByRowIdList(@Param("rowIds") List<String> rowIds);

    List<SysBaseConfig> selectSysBaseConfig(String rowId);

}
