package com.huimv.eartag2.api.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-07-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EartagData implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String cmdHeader;

    private String device;

    private String earmark;

    private Integer bat;

    private Integer earTemp;

    private Float earTemp1;

    private Integer envTemp;

    private Float envTemp1;

    private Integer act;

    private Integer act1;

    private Integer signal1;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date askTime;

    private String other;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date addTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createDate;

    private String farmId;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date askDate;


}
