package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.EartagAbnormalAlarm;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-08-30
 */
public interface EartagAbnormalAlarmService extends IService<EartagAbnormalAlarm> {

    Result getEarTemWarning(Map<String, Object> paramsMap) throws ParseException;

    Result getNewPig(Map<String, String> paramsMap);

    Result listFarmer();

    Result countAll(Map<String, Object> paramsMap);

    Result pigMonitor(Map<String, Object> paramsMap);

    Result getFarmerAndPig(Map<String, Object> paramsMap);

    Result getWarning(Map<String, String> paramsMap);

    Result allHealthy(Map<String, String> paramsMap);
}
