package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.EartagResetCount;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-08-12
 */
public interface EartagResetCountService extends IService<EartagResetCount> {

    Result getEartagResetCount(String farmCode, String startDate, String endDate, String earmark) throws ParseException;

    Result listEartagResetCount(Map<String, String> paramsMap);
}
