package com.huimv.eartag2.api.service.impl;

import com.huimv.eartag2.common.utils.BizConst;
import com.huimv.eartag2.api.service.ICacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class CacheServiceImpl implements ICacheService {
    @Autowired
    private RedisTemplate redisTemplate;

    @Override
    public void setDeviceCodeByChipId(String chipId, String deviceCode) {
        String  hashKey = BizConst.CHIP_DEVICE_PREFIX;
        redisTemplate.opsForHash().put(hashKey,chipId,deviceCode);
    }

    @Override
    public void delDeviceCodeByChipId(String chipId) {
        String  hashKey = BizConst.CHIP_DEVICE_PREFIX;
        redisTemplate.opsForHash().delete(hashKey,chipId);
    }
}
