package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagEartagRegister2Entity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface EartagEartagRegister2EntityRepo extends JpaRepository<EartagEartagRegister2Entity, Integer>, JpaSpecificationExecutor<EartagEartagRegister2Entity> {

    @Query(nativeQuery=true, value="SELECT * FROM eartag_eartag_register2 WHERE farm_id=?2 AND earmark=?1")
    EartagEartagRegister2Entity getOneByEarmark(String earmark,String farmId);

    @Query(nativeQuery=true, value="SELECT * FROM eartag_eartag_register2 WHERE earmark=?1")
    EartagEartagRegister2Entity getOneByEarmark2(String earmark);

    @Query(nativeQuery=true, value="SELECT * FROM eartag_eartag_register2 WHERE farm_id='330112004'")
    List<EartagEartagRegister2Entity> getEartagRegisterByFarmCode(String farmCode);

    @Query(nativeQuery=true, value="SELECT * FROM eartag_eartag_register2 WHERE earmark=?1")
    EartagEartagRegister2Entity getOneByEarmark(String earmark);
}