package com.huimv.eartag2.common.service.impl;

import com.huimv.eartag2.common.dao.repo.SysBaseConfigEntityRepo;
import com.huimv.eartag2.common.service.IBaseConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class BaseConfigServiceImpl implements IBaseConfigService {
    @Autowired
    private SysBaseConfigEntityRepo sysBaseConfigEntityRepo;

    @Override
    public Map getConfigValue(String keyName, String farmId, String defaultFarmId) {
        List<Object[]> objectList = sysBaseConfigEntityRepo.getConfigValue(keyName, farmId, defaultFarmId);
//        List<Object[]> objectList = sysBaseConfigEntityRepo.getConfigValue2(keyName, farmId);
        System.out.println("============== objectList.size="+objectList.size());
        if (objectList.size() == 0) {
            return null;
        } else {
            List resultList = new ArrayList();
            for (int a = 0; a < objectList.size(); a++) {
                Object[] objectArray = objectList.get(a);
                Map map = new HashMap<>();
                map.put("id", objectArray[0]);
                map.put("configName", objectArray[1]);
                map.put("configKey", objectArray[2]);
                map.put("configValue", objectArray[3]);
                map.put("rowId", objectArray[4]);
                map.put("farmCode", objectArray[5]);
                resultList.add(map);
            }
            if (resultList.size() == 1) {
                return (HashMap) resultList.get(0);
            } else {
                Map resultMap = new HashMap();
                for (int a = 0; a < resultList.size(); a++) {
                    Map map = (HashMap) resultList.get(a);
                    if (!map.get("farmCode").toString().equalsIgnoreCase("0")) {
                        resultMap = map;
                        break;
                    }
                }
                return resultMap;
            }
        }
    }
}
