package com.huimv.eartag2.eartag;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
//@ComponentScan(basePackages ={"com.huimv.eartag2.common.service","com.huimv.earrag2.eartag"})
@ComponentScans({@ComponentScan("com.huimv.eartag2.common.service")})
@EntityScan(value = "com.huimv.eartag2.common.dao.entity")
@EnableJpaRepositories(basePackages = "com.huimv.eartag2.common.dao.repo")
@SpringBootApplication
@EnableScheduling
public class HuimvEartag2EartagApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvEartag2EartagApplication.class, args);
    }
}
