package com.huimv.eartag2.eartag.service;

import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;

public interface IDeviceService {
    //计算处于不同生存状态的设备数量
    Integer getDeviceSum(String farmId, Integer liveStatus);

    //计算注销设备数量
    int getDeviceCancelTotalFromDeviceRegister(String farmId);

    //计算设备总数
    int getDeviceTotalByFarmIdFromDeviceRegister(String farmId);

    String getFarmIdByDeviceCode(String deviceCode);

    //保存心跳数据
    void saveDeviceHeartbeat(JSONObject dataJo);
    //保存设备温度数据
    void saveDeviceTemp(JSONObject dataJo);
    //保存采集器上传的原始数据
    void saveRawdata(String askText) throws ParseException;
}
