package com.huimv.eartag2;

import com.alibaba.fastjson.JSONArray;
import com.huimv.eartag2.service.IDataService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class DataTest {
    @Autowired
    private IDataService dataService;

    @Test
    public void test2(){
        boolean result = dataService.isWorkStatusDevice("2020072399998661");
        System.out.println("result>>"+result);
    }

    @Test
    public void test1(){
        String text = "zj+202007239999869+122083123610063+94+0+2468+6825+85+20220318151841+1.1#1.0#10119+0+end";

    }

    @Test
    public void testData() {
        String text = "zj+202007239999869+133083123611032+93+0+2368+216+67+20220119172038+1.1#1.0#10464+0+endzj+202111111111111111+133083123611032+93+0+2368+216+67+20220119172038+1.1#1.0#10464+0+endzj+2023333333333333+133083123611032+93+0+2368+216+67+20220119172038+1.1#1.0#10464+0+endzj+202444444444444+133083123611032+93+0+2368+216+67+20220119172038+1.1#1.0#10464+0+end";
//        String text = "zj+202007239999869+133083123611032+93+0+2368+216+67+20220119172038+1.1#1.0#10464+0+end";
//        int p1 = text.indexOf("end");
//        System.out.println("p1=" + p1);
//        String d1 = text.substring(0, p1 + 3);
//        System.out.println("d1>>" + d1);
////
//        String d2 = text.substring(p1 + 3, text.length());
//        System.out.println("d2>>" + d2);


        //判断位置
        //获取数据，保存
        //截取剩下文本作为下一次文本
        JSONArray dataJa = getPerData(text);
        for(int a=0;a<dataJa.size();a++){
            System.out.println(a+","+dataJa.getString(a));
        }

    }

    public JSONArray getPerData(String text) {
        String key = "end";
        Pattern pattern = Pattern.compile(key);
        Matcher matcher = pattern.matcher(text);
        int count = 0;
        while (matcher.find()) {
            count++;
        }
        JSONArray dataJa = new JSONArray();
        if (count == 1) {
            dataJa.add(text);
        } else {
            for (int a = 0; a < count; a++) {
                int p1 = text.indexOf("end");
                dataJa.add(text.substring(0, p1 + 3));
                text = text.substring(p1 + 3, text.length());
            }
        }
        return dataJa;
    }

}
