package com.huimv.eartag2.manage;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@EntityScan(value = "com.huimv.eartag2.common.dao.entity")
@EnableJpaRepositories(basePackages = "com.huimv.eartag2.common.dao.repo")
//@ComponentScan(value = "com.huimv.eartag2.common.service")
//@ComponentScan(basePackages = "com.huimv.eartag2.common.service.impl")
public class HuimvManageApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvManageApplication.class, args);
    }
}
