package com.huimv.eartag2.manage.utils;

import com.huimv.eartag2.common.utils.MathUtil;
import org.junit.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.UnsupportedEncodingException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class DeviceCodeTest {

    @Test
    public void test1() throws UnsupportedEncodingException {
        String deviceCode = "202007239999869";
        System.out.println("<test1>.deviceCode>>"+deviceCode);
        StringBuilder sb = new StringBuilder();
        //10万设备编号
        int eartagMax = 100000;
        for(int a=0;a<eartagMax;a++){
            sb.append(deviceCode);
        }
        System.out.println("## sb.length>>"+sb.length());
        byte[] sbBytes = sb.toString().getBytes("UTF-8");
        System.out.println("## 字节数>>"+sbBytes.length);
        System.out.println("## K字节数>>"+MathUtil.formatScale(String.valueOf(sbBytes.length),"1024",3)+" k");
        System.out.println("## M字节数>>"+MathUtil.formatScale(String.valueOf(sbBytes.length),String.valueOf(1024*1024),3)+" m");
//        deviceCode = "你好";
//        byte[] bytes = deviceCode.getBytes("UTF-8");
//        int sizeInBytes = bytes.length;
//        System.out.println("## 字节数>>"+sizeInBytes);
    }


    @Test
    public void test2() throws UnsupportedEncodingException {
        String earmark = "122083123610099";
        System.out.println("<test1>.earmark>>"+earmark);
        StringBuilder sb = new StringBuilder();
        //10万耳标编号
        int earmarkMax = 100000;
        for(int a=0;a<earmarkMax;a++){
            sb.append(earmark);
        }
        System.out.println("## sb.length>>"+sb.length());
        byte[] sbBytes = sb.toString().getBytes("UTF-8");
        System.out.println("## 字节数>>"+sbBytes.length);
        System.out.println("## K字节数>>"+MathUtil.formatScale(String.valueOf(sbBytes.length),"1024",3)+" k");
        System.out.println("## M字节数>>"+MathUtil.formatScale(String.valueOf(sbBytes.length),String.valueOf(1024*1024),3)+" m");
//        deviceCode = "你好";
//        byte[] bytes = deviceCode.getBytes("UTF-8");
//        int sizeInBytes = bytes.length;
//        System.out.println("## 字节数>>"+sizeInBytes);
    }

    @Test
    public void test3(){
        String text = "-25";
        String[] textArray = text.split("-");
        System.out.println("length="+textArray.length);
        System.out.println("0="+textArray[0]);
        System.out.println("1="+textArray[1]);
    }
}
