package com.huimv.eartag2.manage.utils;

import java.io.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Test005 {

    //    String file = "D:\\1\\16k.pcm";
    String file = "D:\\1\\16k_003.pcm";

    public static void main(String[] args) {
        Test005 test = new Test005();

        String hexStr= "46";
        String[] hexAllArray = hexStr.split(" ");
//        for(int a=0;a<hexAllArray.length;a++){
//            String text = hexAllArray[a];
//            //
//            test.write(text);
//        }
//        String[] hexArray = text.split(" ");
//        for(int a=0;a<hexAllArray.length;a++){
//            writePcm(hexAllArray[a]);
//        }

        test.testWrite(hexToByte(hexStr));


        //测试写入
//        test.testWrite();

        //测试读出
//        test.testRead();
    }

    private void write(String text) {
        String[] hexArray = text.split(" ");
        for(int a=0;a<hexArray.length;a++){
            writePcm(hexArray[a]);
        }
    }

    private void writePcm(String hexStr) {
        testWrite(hexToByte(hexStr));
    }

    private void testRead() {
        //读取data.bin文件中的数据
        try {
            DataInputStream is = new DataInputStream(
                    new BufferedInputStream(new FileInputStream(
                            file)));
            byte[] c = new byte[2];
            is.read(c);
            is.close();
//            log.info(":{}",c);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void testWrite(byte[] bytes) {
        //将字节数组写入data.bin文件
        byte[] b = {1, 2};
        try {
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            DataOutputStream os = new DataOutputStream(
                    new BufferedOutputStream(new FileOutputStream(
                            file)));
//            log.info(":{}",b);
//            System.out.println(":{}",b);
//            os.write(b);
            os.write(bytes);
            os.flush();
            os.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * hex转byte数组
     * @param hex
     * @return
     */
    public static byte[] hexToByte(String hex){
        int m = 0, n = 0;
        int byteLen = hex.length() / 2; // 每两个字符描述一个字节
        byte[] ret = new byte[byteLen];
        for (int i = 0; i < byteLen; i++) {
            m = i * 2 + 1;
            n = m + 1;
            int intVal = Integer.decode("0x" + hex.substring(i * 2, m) + hex.substring(m, n));
            ret[i] = Byte.valueOf((byte)intVal);
        }
        return ret;
    }

    /**
     * byte数组转hex
     * @param bytes
     * @return
     */
    public static String byteToHex(byte[] bytes){
        String strHex = "";
        StringBuilder sb = new StringBuilder("");
        for (int n = 0; n < bytes.length; n++) {
            strHex = Integer.toHexString(bytes[n] & 0xFF);
            sb.append((strHex.length() == 1) ? "0" + strHex : strHex); // 每个字节由两个字符表示，位数不够，高位补0
        }
        return sb.toString().trim();
    }
}
