package com.huimv.eartag2.manage.utils;

import java.io.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Test9 {
    //
    String srcFile = "D:/1/100.txt";
    String dstFile = "D:/1/100a.pcm";

    public static void main(String[] args) {
        Test9 test = new Test9();

        //读取文件内容
        List txtList = test.readTxt();

        //生存pcm文件
        test.writePcm(txtList);
    }

    //生存pcm文件
    private void writePcm(List txtList) {
        FileOutputStream fos = null;
        DataOutputStream dos = null;
//        Test7 test7 = new Test7();
        try {
        //创建输出流（写入文件）
            fos = new FileOutputStream(dstFile);
            dos = new DataOutputStream(fos);
            for(int a=0;a<txtList.size();a++){
                String lineTxt = (String) txtList.get(a);
//                Integer data = test7.hexToDec2(lineTxt);
                Integer data = hexToDec2(lineTxt);
                dos.write(data);
            }
            if (fos!=null) {
                fos.close();
            }
            if (dos!=null) {
                dos.close();
            }
        } catch (Exception e) {
            System.err.println("read errors :" + e);
        } finally{
            System.out.println("写入完成，生成目标文件位于"+dstFile);
        }
    }

    public int hexToDec2(String hex){
//        int dec = Integer.parseInt(hex,16);
        int dec = Integer.valueOf(hex,16).shortValue();
        return dec;
    }

    //读取文件内容
    private List readTxt() {

        ArrayList list = new ArrayList();

        /* 读取数据 */
        try {
            BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(new File(srcFile)),
                    "UTF-8"));
            String lineTxt = null;
            StringBuilder sb = new StringBuilder();
            while ((lineTxt = br.readLine()) != null) {
                System.out.println("lineTxt="+lineTxt);
                sb.append(lineTxt);
            }
            br.close();
            String rawText = sb.toString();
            String[] rawArray = rawText.split(";");

            for(int a=0;a<rawArray.length;a++){
                String text = rawArray[a];
//                System.out.println((a+1)+",text="+text.trim());
                String[] textArray = text.split(" ");
                for(int b=0;b<textArray.length;b++){
//                    System.out.println("textArray[b]="+textArray[b].toUpperCase());
                    list.add(textArray[b].toUpperCase());
                }
            }
        } catch (Exception e) {
            System.err.println("read errors :" + e);
        } finally{
            System.out.println("读取完成，读取源文件位于"+srcFile);
            return list;
        }
    }
}
