package com.huimv.eartag2.api.mapper;

import com.huimv.eartag2.api.pojo.FarmerAsset;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
public interface FarmerAssetMapper extends BaseMapper<FarmerAsset> {

    List<FarmerAsset> getLastManyMonthAssets(@Param("farmCode") String farmCode,@Param("manyMonth") String manyMonth);

    BigDecimal getPigWeightByDayage(@Param("days") long days);

    List<FarmerAsset> getAssetByMonth(@Param("months") int months,@Param("farmCode") String farmerId);

    List<FarmerAsset> getPigWeight();

    FarmerAsset getAssetByFarmerIdAndYearAndMonth(@Param("farmerId") Integer farmerId,@Param("year") String year,@Param("month") String month);
}
