package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.EartagDeviceRegister;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-07-22
 */
public interface EartagDeviceRegisterService extends IService<EartagDeviceRegister> {

    Result set(List<Map<String, String>> mapList);

    Result remove(String id);

    Result update(Map<String, String> maps);

    Result list(Map<String,String> paramsMap);

    Result add(Map<String, String> mapList);

    Result cancel(String ids);

    Result getDeviceCode(String farmCode);

    Result setFarmer(List<Map<String, Integer>> maps);
}
