package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.api.pojo.SysBaseConfig;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-07-19
 */
public interface SysBaseConfigService extends IService<SysBaseConfig> {

    Result add(List<Map<String, String>> mapList);

    Result remove(List<String> id);

    Result update(List<Map<String, String>> maps);

    Result list(Map<String,String> paramsMap);

    Result getDateById(String ids);

    Result syncCong(Map<String,String> paramsMap);

    Result listWarning(Map<String, String> paramsMap);

    Result updateWarning(Map<String, String> paramsMap);
}
