package com.huimv.eartag2.api.service;

import com.huimv.eartag2.common.utils.DateUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.text.ParseException;
import java.util.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@RunWith(SpringRunner.class)
public class IEartagServiceTest {
    @Autowired
    private IEartagService eartagService;
    @Autowired
    private FarmerAssetService farmerAssetService;

    @Test
    public void test1() throws ParseException {
        eartagService.updateEartagLiveStatusAndCount();
    }

    @Test
    public void test2() throws ParseException {
        Map map = new HashMap<>();
//        map.put("areaId","330112002");
        map.put("farmerId","6");
        farmerAssetService.getAssetStatistics(map);
    }

    @Test
    public void test3() throws ParseException {
        Date date=new Date();//取时间
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(calendar.DATE,-185);//把日期往后增加一天.整数往后推,负数往前移动
        date = calendar.getTime();
        DateUtil dateUtil = new DateUtil();
        String d1 = dateUtil.formatDateText(calendar.getTime());
        System.out.println("d1="+d1);


    }
}
